{type:"class",attributes:{"name":"Calculator","packageName":"calc","superClass":"qx.ui.window.Window","fullName":"calc.Calculator","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Calculator class</p>\n\n<p>This is an example, which demonstrates some of qooxdoo&#8217;s key techniques like</p>\n\n<ul>\n<li>Custom themes</li>\n<li>Working with layouts</li>\n<li>Working with events</li>\n<li>Using sub widgets</li>\n</ul>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.ui.window.Window","isCtor":"true","name":"ctor"}}]},{type:"properties",children:[{type:"property",attributes:{"name":"appearance","docFrom":"qx.ui.core.Widget","defaultValue":"\"calculator\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.window.Window"}}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.core.Widget#appearance","overriddenFrom":"qx.ui.core.Widget","name":"_applyAppearance"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>appearance</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyAppearance}.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_createButtonContainer"},children:[{type:"desc",attributes:{"text":"<p>Creates the button container and configures it with a flexible grid\nlayout. Further it adds the buttons to the container.</p>"}}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.Widget","overriddenFrom":"qx.ui.window.Window","name":"_createChildControlImpl"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"}}]}]},{type:"method",attributes:{"access":"protected","name":"_initButtons"},children:[{type:"desc",attributes:{"text":"<p>Initialize the buttons and store them in the &#8220;_buttons&#8221; map.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_initKeyIdentifier"},children:[{type:"desc",attributes:{"text":"<p>Configures a map, which maps the button&#8217;s key identifiers to the button.\nThe map is stored in the protected member &#8220;_keyIdentifier&#8221;.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onBinaryOperandPress"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Execute event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Event"}}]}]}]},{type:"desc",attributes:{"text":"<p>Handles the press of any of the binary operators</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onDigitPress"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Execute event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Event"}}]}]}]},{type:"desc",attributes:{"text":"<p>Handles the execution of the digit buttons</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onDotPress"},children:[{type:"desc",attributes:{"text":"<p>Handles the press of the decimal separator</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onEqualsPress"},children:[{type:"desc",attributes:{"text":"<p>Handles the press of the equals sign</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onKeyDown"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Key event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.KeySequence"}}]}]}]},{type:"desc",attributes:{"text":"<p>Key down event handler. Visually presses the button associated with the\npressed key.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onKeyPress"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Key event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.KeySequence"}}]}]}]},{type:"desc",attributes:{"text":"<p>Key press event handler. Executes the button associated with the pressed\nkey.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onKeyUp"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Key event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.KeySequence"}}]}]}]},{type:"desc",attributes:{"text":"<p>Key up event handler. Visually releases the button associated with the\nreleased key.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onMemoryAddPress"},children:[{type:"desc",attributes:{"text":"<p>Adds the current value to the memory</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onMemoryClearPress"},children:[{type:"desc",attributes:{"text":"<p>Clears the memory</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onMemoryGetPress"},children:[{type:"desc",attributes:{"text":"<p>Replaces the current value with the memory</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onMemorySubPress"},children:[{type:"desc",attributes:{"text":"<p>Substracts the current value from the memory</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onSignPress"},children:[{type:"desc",attributes:{"text":"<p>Handles the press of the plus/minus sign</p>"}}]},{type:"method",attributes:{"name":"clear"},children:[{type:"desc",attributes:{"text":"<p>Reset the calculator</p>"}}]},{type:"method",attributes:{"name":"compute"},children:[{type:"desc",attributes:{"text":"<p>Perform the pending operation</p>"}}]},{type:"method",attributes:{"name":"display"},children:[{type:"params",children:[{type:"param",attributes:{"name":"text"},children:[{type:"desc",attributes:{"text":"<p>The text to display</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Show the given text in the display</p>"}}]}]}]}