{type:"class",attributes:{"isStatic":"true","name":"Iframe","packageName":"qx.bom","fullName":"qx.bom.Iframe","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Cross browser abstractions to work with iframes.</p>"}},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"create"},children:[{type:"params",children:[{type:"param",attributes:{"name":"attributes"},children:[{type:"desc",attributes:{"text":"<p>Map of attributes to apply</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]},{type:"param",attributes:{"name":"win"},children:[{type:"desc",attributes:{"text":"<p>Window to create the element for</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Window"}}]}]}]},{type:"desc",attributes:{"text":"<p>Creates an <span class=\"caps\">DOM</span> element.</p>\n\n<p>Attributes may be given directly with this call. This is critical\nfor some attributes e.g. name, type, ... in many clients.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The created iframe node</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"getBody"},children:[{type:"params",children:[{type:"param",attributes:{"name":"iframe"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"desc",attributes:{"text":"<p>Get the <span class=\"caps\">HTML</span> body element of the iframe.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">DOM</span> node of the <code>body</code> element of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"getDocument"},children:[{type:"params",children:[{type:"param",attributes:{"name":"iframe"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"desc",attributes:{"text":"<p>Get the <span class=\"caps\">DOM</span> document object of an iframe.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">DOM</span> document object of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Document"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"getWindow"},children:[{type:"params",children:[{type:"param",attributes:{"name":"iframe"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"desc",attributes:{"text":"<p>Get the <span class=\"caps\">DOM</span> window object of an iframe.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">DOM</span> window object of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Window"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"queryCurrentUrl"},children:[{type:"params",children:[{type:"param",attributes:{"name":"iframe"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"desc",attributes:{"text":"<p>Returns the current (served) <span class=\"caps\">URL</span> inside the iframe</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Returns the location href or null (if a query is not possible/allowed)</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"setSource"},children:[{type:"params",children:[{type:"param",attributes:{"name":"iframe"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element of the iframe.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]},{type:"param",attributes:{"name":"source"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">URL</span> to be set.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets iframe&#8217;s source attribute to given value</p>"}}]}]}]}