{type:"class",attributes:{"isStatic":"true","name":"Vml","packageName":"qx.bom","fullName":"qx.bom.Vml","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Helper class to work with <span class=\"caps\">VML</span> . If this class is used, it initialized <span class=\"caps\">VML</span>\nsupport.</p>\n\n<em>Note: This class is only available in Internet Explorer!</em>"}},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"create"},children:[{type:"params",children:[{type:"param",attributes:{"name":"type"},children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">VML</span> element type</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"attributes"},children:[{type:"desc",attributes:{"text":"<p>An optional map of element attributes</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"win"},children:[{type:"desc",attributes:{"text":"<p>The browser window element, in which the element\n    should be created.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Create <span class=\"caps\">VML</span> element</p>"}}]},{type:"method",attributes:{"isStatic":"true","name":"createImage"},children:[{type:"params",children:[{type:"param",attributes:{"defaultValue":"","name":"source"},children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">URL</span> of the image to display</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"defaultValue":"","name":"width"},children:[{type:"desc",attributes:{"text":"<p>The desired width of the image element</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"","name":"height"},children:[{type:"desc",attributes:{"text":"<p>The desired height of the image element</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"0","name":"xOffset"},children:[{type:"desc",attributes:{"text":"<p>The horizontal offset of the image inside of\n    the image element.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"0","name":"yOffset"},children:[{type:"desc",attributes:{"text":"<p>The vertical offset of the image inside of\n    the image element.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"imageWidth"},children:[{type:"desc",attributes:{"text":"<p>The full width of the image. This value\n    is required, when an xOffset is given.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"imageHeight"},children:[{type:"desc",attributes:{"text":"<p>The full height of the image. This value\n    is required, when an yOffset is given.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"desc",attributes:{"text":"<p>Creates an <span class=\"caps\">VML</span> image and configures it. The image is always tiled.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the <span class=\"caps\">VML</span> element of the image</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"updateImage"},children:[{type:"params",children:[{type:"param",attributes:{"name":"image"},children:[{type:"desc",attributes:{"text":"<p>The image <span class=\"caps\">VML</span> element created by {@link #createImage}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]},{type:"param",attributes:{"name":"source"},children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">URL</span> of the image to display</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"width"},children:[{type:"desc",attributes:{"text":"<p>The desired width of the image element</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"name":"height"},children:[{type:"desc",attributes:{"text":"<p>The desired height of the image element</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"0","name":"xOffset"},children:[{type:"desc",attributes:{"text":"<p>The horizontal offset of the image inside of\n    the image element.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"0","name":"yOffset"},children:[{type:"desc",attributes:{"text":"<p>The vertical offset of the image inside of\n    the image element.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"imageWidth"},children:[{type:"desc",attributes:{"text":"<p>The full width of the image. This value\n    is required, when an xOffset is given.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"imageHeight"},children:[{type:"desc",attributes:{"text":"<p>The full height of the image. This value\n    is required, when an yOffset is given.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the image source and configures the image. The image element size\nresized to the given size and the image is always tiled.</p>"}}]}]}]}