{type:"class",attributes:{"isStatic":"true","name":"Clip","packageName":"qx.bom.element","fullName":"qx.bom.element.Clip","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Contains methods to control and query the element&#8217;s clip property</p>"}},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"compile"},children:[{type:"params",children:[{type:"param",attributes:{"name":"map"},children:[{type:"desc",attributes:{"text":"<p>Map which contains <code>left</code>, <code>top</code>\n  <code>width</code> and <code>height</code> of the clipped area.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]}]},{type:"desc",attributes:{"text":"<p>Compiles the given clipping into a <span class=\"caps\">CSS</span> compatible string. This\nis a simple square which describes the visible area of an <span class=\"caps\">DOM</span> element.\nChanging the clipping does not change the dimensions of\nan element.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">CSS</span> compatible string</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"get"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element to query</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]},{type:"param",attributes:{"name":"mode"},children:[{type:"desc",attributes:{"text":"<p>Choose one of the modes {@link qx.bom.element.Style#COMPUTED_MODE},\n  {@link qx.bom.element.Style#CASCADED_MODE}, {@link qx.bom.element.Style#LOCAL_MODE}.\n  The computed mode is the default one.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Gets the clipping of the given element.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Map which contains <code>left</code>, <code>top</code>\n  <code>width</code> and <code>height</code> of the clipped area.\n  Each one could be null or any integer value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"reset"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element to modify</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"desc",attributes:{"text":"<p>Resets the clipping of the given <span class=\"caps\">DOM</span> element.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"set"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"},children:[{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> element to modify</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]},{type:"param",attributes:{"name":"map"},children:[{type:"desc",attributes:{"text":"<p>A map with one or more of these available keys:\n  <code>left</code>, <code>top</code>, <code>width</code>, <code>height</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the clipping of the given element. This is a simple\nsquare which describes the visible area of an <span class=\"caps\">DOM</span> element.\nChanging the clipping does not change the dimensions of\nan element.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]}]}]}