{type:"class",attributes:{"name":"TestResult","packageName":"qx.dev.unit","superClass":"qx.core.Object","childClasses":"qx.dev.unit.JsUnitTestResult","fullName":"qx.dev.unit.TestResult","type":"class"},children:[{type:"desc",attributes:{"text":"<p>The test result class runs the test functions and fires events depending on\nthe result of the test run.</p>"}},{type:"events",children:[{type:"event",attributes:{"name":"endTest"},children:[{type:"desc",attributes:{"text":"<p>Fired after the test has finished</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"error"},children:[{type:"desc",attributes:{"text":"<p>Fired if the test raised an {@link qx.core.AssertionError}</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"failure"},children:[{type:"desc",attributes:{"text":"<p>Fired if the test failed with a different exception</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"startTest"},children:[{type:"desc",attributes:{"text":"<p>Fired before the test is started</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"run"},children:[{type:"params",children:[{type:"param",attributes:{"name":"testResult"},children:[{type:"desc",attributes:{"text":"<p>The test result to use to run the test</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"TestResult"}}]}]},{type:"param",attributes:{"name":"test"},children:[{type:"desc",attributes:{"text":"<p>The test</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"TestSuite"}},{type:"entry",attributes:{"type":"TestFunction"}}]}]},{type:"param",attributes:{"name":"testFunction"},children:[{type:"desc",attributes:{"text":"<p>The test function</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Run a test function using a given test result</p>"}}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"private","name":"__createError"},children:[{type:"params",children:[{type:"param",attributes:{"name":"eventName"},children:[{type:"desc",attributes:{"text":"<p>Name of the event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"exception"},children:[{type:"desc",attributes:{"text":"<p>The exception, which caused the test to fail</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Error"}}]}]},{type:"param",attributes:{"name":"test"},children:[{type:"desc",attributes:{"text":"<p>The test</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"TestSuite"}},{type:"entry",attributes:{"type":"TestFunction"}}]}]}]},{type:"desc",attributes:{"text":"<p>Fire an error event</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"run"},children:[{type:"params",children:[{type:"param",attributes:{"name":"test"},children:[{type:"desc",attributes:{"text":"<p>The test</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"TestSuite"}},{type:"entry",attributes:{"type":"TestFunction"}}]}]},{type:"param",attributes:{"name":"testFunction"},children:[{type:"desc",attributes:{"text":"<p>The test function</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Run the test</p>"}}]}]}]}