{type:"class",attributes:{"name":"TestSuite","packageName":"qx.dev.unit","superClass":"qx.core.Object","childClasses":"qx.dev.unit.TestClass","fullName":"qx.dev.unit.TestSuite","type":"class"},children:[{type:"desc",attributes:{"text":"<p>A TestSuite is a collection of test functions, classes and other test suites,\nwhich should be run together.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.core.Object","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"testClassOrNamespace"},children:[{type:"desc",attributes:{"text":"<p>Either a string with the name of the test\n   class or test namespace or a reference to the the test class or namespace.\n   All test in the given class/namespace will be aded to the suite.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]}]},{type:"methods",children:[{type:"method",attributes:{"name":"add"},children:[{type:"params",children:[{type:"param",attributes:{"name":"testClassOrNamespace"},children:[{type:"desc",attributes:{"text":"<p>Either a string with the name of the test\n   class or test namespace or a reference to the the test class or namespace.\n   All test in the given class/namespace will be aded to the suite.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Add a test class or namespace to the suite</p>"}}]},{type:"method",attributes:{"name":"addFail"},children:[{type:"params",children:[{type:"param",attributes:{"name":"functionName"},children:[{type:"desc",attributes:{"text":"<p>Name of the function</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"message"},children:[{type:"desc",attributes:{"text":"<p>The fail message</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Add a test function to the suite, which fails.</p>"}}]},{type:"method",attributes:{"name":"addTestClass"},children:[{type:"params",children:[{type:"param",attributes:{"name":"clazz"},children:[{type:"desc",attributes:{"text":"<p>The test class to add</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Class"}}]}]}]},{type:"desc",attributes:{"text":"<p>Add a test class to the suite</p>"}}]},{type:"method",attributes:{"name":"addTestFunction"},children:[{type:"params",children:[{type:"param",attributes:{"name":"name"},children:[{type:"desc",attributes:{"text":"<p>Name of the function</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"fcn"},children:[{type:"desc",attributes:{"text":"<p>The test function</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Function"}}]}]}]},{type:"desc",attributes:{"text":"<p>Add a single function to test</p>"}}]},{type:"method",attributes:{"name":"addTestMethod"},children:[{type:"params",children:[{type:"param",attributes:{"name":"clazz"},children:[{type:"desc",attributes:{"text":"<p>The class containing the test method</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Class"}}]}]},{type:"param",attributes:{"name":"functionName"},children:[{type:"desc",attributes:{"text":"<p>The name of the test method</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Add a method from a class as test to the suite</p>"}}]},{type:"method",attributes:{"name":"addTestNamespace"},children:[{type:"params",children:[{type:"param",attributes:{"name":"namespace"},children:[{type:"desc",attributes:{"text":"<p>The topmost namespace of the tests classes to add.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Object"}}]}]}]},{type:"desc",attributes:{"text":"<p>Add all tests from the given namespace to the suite</p>"}}]},{type:"method",attributes:{"name":"getTestClasses"},children:[{type:"desc",attributes:{"text":"<p>Get a list of all test classes in the suite</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>A list of all test classes in the suite</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Class","dimensions":"1"}}]}]}]},{type:"method",attributes:{"name":"getTestMethods"},children:[{type:"desc",attributes:{"text":"<p>Get a list of all test methods in the suite</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>A list of all test methods in the suite</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Function","dimensions":"1"}}]}]}]},{type:"method",attributes:{"name":"run"},children:[{type:"params",children:[{type:"param",attributes:{"name":"testResult"},children:[{type:"desc",attributes:{"text":"<p>Test result class, which runs the tests.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"TestResult"}}]}]}]},{type:"desc",attributes:{"text":"<p>Run all tests using the given test result</p>"}}]}]}]}