{type:"class",attributes:{"name":"Pool","packageName":"qx.event","superClass":"qx.util.ObjectPool","isSingleton":"true","fullName":"qx.event.Pool","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Central instance pool for event objects. All event objects dispatched by the\nevent loader are pooled using this class.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.util.ObjectPool","isCtor":"true","name":"ctor"}}]},{type:"methods",children:[{type:"method",attributes:{"overriddenFrom":"qx.util.ObjectPool","name":"poolObject"},children:[{type:"params",children:[{type:"param",attributes:{"name":"obj"},children:[{type:"desc",attributes:{"text":"<p>An Object instance to pool.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Object"}}]}]}]},{type:"desc",attributes:{"text":"<p>This method places an Object in a pool of Objects of its type. Note that\nonce an instance has been pooled, there is no means to get that exact\ninstance back. The instance may be discarded for garbage collection if\nthe pool of its type is already full.</p>\n\n<p>It is assumed that no other references exist to this Object, and that it will\nnot be used at all while it is pooled.</p>"}}]}]},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"getInstance"},children:[{type:"desc",attributes:{"text":"<p>Returns a singleton instance of this class. On the first call the class\nis instantiated by calling the constructor with no arguments. All following\ncalls will return this instance.</p>\n\n<p>This method has been added by setting the &#8220;type&#8221; key in the class definition\n({@link qx.Class#define}) to &#8220;singleton&#8221;.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The singleton instance of this class.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.Pool"}}]}]}]}]}]}