{type:"class",attributes:{"name":"Data","packageName":"qx.event.type","superClass":"qx.event.type.Event","fullName":"qx.event.type.Data","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Event object for data holding event or data changes.</p>"}},{type:"methods",children:[{type:"method",attributes:{"overriddenFrom":"qx.event.type.Event","name":"clone"},children:[{type:"params",children:[{type:"param",attributes:{"defaultValue":"null","name":"embryo"},children:[{type:"desc",attributes:{"text":"<p>Optional event class, which will\n    be configured using the data of this event instance. The event must be\n    an instance of this event class. If the data is <code>null</code>,\n    a new pooled instance is created.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Get a copy of this object</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>a copy of this object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"method",attributes:{"name":"getData"},children:[{type:"desc",attributes:{"text":"<p>The new data of the event sending this data event.\nThe return data type is the same as the event data type.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The new data of the event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getOldData"},children:[{type:"desc",attributes:{"text":"<p>The old data of the event sending this data event.\nThe return data type is the same as the event data type.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The old data of the event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getOldValue"},children:[{type:"deprecated"},{type:"desc",attributes:{"text":"<p>The old data of the event sending this change event.\nThe return data type is the same as the event data type.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The old data of the event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getValue"},children:[{type:"deprecated"},{type:"desc",attributes:{"text":"<p>The new data of the event sending this change event.\nThe return data type is the same as the event data type.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The new data of the event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"overriddenFrom":"qx.event.type.Event","name":"init"},children:[{type:"params",children:[{type:"param",attributes:{"name":"data"},children:[{type:"desc",attributes:{"text":"<p>The event&#8217;s new data</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"old"},children:[{type:"desc",attributes:{"text":"<p>The event&#8217;s old data (optional)</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"defaultValue":"false","name":"cancelable"},children:[{type:"desc",attributes:{"text":"<p>Whether or not an event can have its default\n    action prevented. The default action can either be the browser&#8217;s\n    default action of a native event (e.g. open the context menu on a\n    right click) or the default action of a qooxdoo class (e.g. close\n    the window widget). The default action can be prevented by calling\n    {@link #preventDefault}</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"desc",attributes:{"text":"<p>Initializes an event object.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the initialized instance.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]}]}]}