{type:"class",attributes:{"name":"Dom","packageName":"qx.event.type","superClass":"qx.event.type.Native","childClasses":"qx.event.type.KeyInput,qx.event.type.KeySequence,qx.event.type.Mouse","fullName":"qx.event.type.Dom","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Common base class for all <span class=\"caps\">DOM</span> events.</p>"}},{type:"constants",children:[{type:"constant",attributes:{"type":"Number","name":"META_MASK","value":"8"},children:[{type:"desc",attributes:{"text":"<p>The modifier mask for the meta key (e.g. apple key on Macs).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"constant",attributes:{"type":"Number","name":"ALT_MASK","value":"4"},children:[{type:"desc",attributes:{"text":"<p>The modifier mask for the alt key.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"constant",attributes:{"type":"Number","name":"SHIFT_MASK","value":"1"},children:[{type:"desc",attributes:{"text":"<p>The modifier mask for the shift key.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"constant",attributes:{"type":"Number","name":"CTRL_MASK","value":"2"},children:[{type:"desc",attributes:{"text":"<p>The modifier mask for the control key.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"methods",children:[{type:"method",attributes:{"name":"getModifiers"},children:[{type:"desc",attributes:{"text":"<p>Return in a bit map, which modifier keys are pressed. The constants\n{@link #SHIFT_MASK}, {@link #CTRL_MASK}, {@link #ALT_MASK} and\n{@link #META_MASK} define the bit positions of the corresponding keys.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>A bit map with the pressed modifier keys.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"name":"isAltPressed"},children:[{type:"desc",attributes:{"text":"<p>Returns whether the the alt key is pressed.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>whether the the alt key is pressed.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isCtrlOrCommandPressed"},children:[{type:"desc",attributes:{"text":"<p>Returns whether the ctrl key or (on the Mac) the command key is pressed.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<code>true</code> if the command key is pressed on the Mac\n          or the ctrl key is pressed on another system."}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isCtrlPressed"},children:[{type:"desc",attributes:{"text":"<p>Returns whether the the ctrl key is pressed.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>whether the the ctrl key is pressed.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isMetaPressed"},children:[{type:"desc",attributes:{"text":"<p>Returns whether the the meta key is pressed.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>whether the the meta key is pressed.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isShiftPressed"},children:[{type:"desc",attributes:{"text":"<p>Returns whether the the shift key is pressed.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>whether the the shift key is pressed.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]}]}]}