{type:"class",attributes:{"name":"Mouse","packageName":"qx.event.type","superClass":"qx.event.type.Dom","childClasses":"qx.ui.table.pane.CellEvent","fullName":"qx.event.type.Mouse","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Mouse event object.</p>\n\n<p>the interface of this class is based on the <span class=\"caps\">DOM</span> Level 2 mouse event\ninterface: <a href=\"http://www.w3.org/TR/DOM-Level-2-Events/events.html#Events-eventgroupings-mouseevents\">http://www.w3.org/TR/DOM-Level-2-Events/events.html#Events-eventgroupings-mouseevents</a></p>"}},{type:"methods",children:[{type:"method",attributes:{"name":"getButton"},children:[{type:"desc",attributes:{"text":"<p>During mouse events caused by the depression or release of a mouse button,\nthis method can be used to check which mouse button changed state.</p>\n\n<p>Only internet explorer can compute the button during mouse move events. For\nall other browsers the button only contains sensible data during\n&#8220;click&#8221; events like &#8220;click&#8221;, &#8220;dblclick&#8221;, &#8220;mousedown&#8221;, &#8220;mouseup&#8221; or &#8220;contextmenu&#8221;.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>One of &#8220;left&#8221;, &#8220;right&#8221;, &#8220;middle&#8221; or &#8220;none&#8221;</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"getDocumentLeft"},children:[{type:"desc",attributes:{"text":"<p>Get the horizontal position at which the event occured relative to the\nleft of the document. This property takes into account any scrolling of\nthe page.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The horizontal mouse position in the document.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"name":"getDocumentTop"},children:[{type:"desc",attributes:{"text":"<p>Get the vertical position at which the event occured relative to the\ntop of the document. This property takes into account any scrolling of\nthe page.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The vertical mouse position in the document.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"overriddenFrom":"qx.event.type.Event","name":"getRelatedTarget"},children:[{type:"desc",attributes:{"text":"<p>Get a secondary event target related to an UI event. This attribute is\nused with the mouseover event to indicate the event target which the\npointing device exited and with the mouseout event to indicate the\nevent target which the pointing device entered.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The secondary event target.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Element"}}]}]}]},{type:"method",attributes:{"name":"getScreenLeft"},children:[{type:"desc",attributes:{"text":"<p>Get the horizontal coordinate at which the event occurred relative to\nthe origin of the screen coordinate system.</p>\n\n<p>Note: This value is usually not very useful unless you want to\nposition a native popup window at this coordiante.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The horizontal mouse position on the screen.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"name":"getScreenTop"},children:[{type:"desc",attributes:{"text":"<p>Get the vertical coordinate at which the event occurred relative to\nthe origin of the screen coordinate system.</p>\n\n<p>Note: This value is usually not very useful unless you want to\nposition a native popup window at this coordiante.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The vertical mouse position on the screen.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"name":"getViewportLeft"},children:[{type:"desc",attributes:{"text":"<p>Get the he horizontal coordinate at which the event occurred relative\nto the viewport.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The horizontal mouse position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"name":"getViewportTop"},children:[{type:"desc",attributes:{"text":"<p>Get the vertical coordinate at which the event occurred relative\nto the viewport.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The vertical mouse position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.event.type.Native","overriddenFrom":"qx.event.type.Native","name":"init"},children:[{type:"params",children:[{type:"param",attributes:{"name":"nativeEvent"}},{type:"param",attributes:{"name":"target"}},{type:"param",attributes:{"name":"relatedTarget"}},{type:"param",attributes:{"name":"canBubble"}},{type:"param",attributes:{"name":"cancelable"}}]}]},{type:"method",attributes:{"name":"isLeftPressed"},children:[{type:"desc",attributes:{"text":"<p>Whether the left button is pressed</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>true when the left button is pressed</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isMiddlePressed"},children:[{type:"desc",attributes:{"text":"<p>Whether the middle button is pressed</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>true when the middle button is pressed</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isRightPressed"},children:[{type:"desc",attributes:{"text":"<p>Whether the right button is pressed</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>true when the right button is pressed</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.event.type.Native","overriddenFrom":"qx.event.type.Native","name":"stop"}}]}]}