{type:"class",attributes:{"isStatic":"true","name":"Transition","packageName":"qx.fx","fullName":"qx.fx.Transition","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Static class containing all transition functions.</p>"}},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"easeInQuad"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will accelerate the effect&#8217;s\nimpact exponentially.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"easeOutQuad"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will slow down the\neffect&#8217;s impact exponentially.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"flicker"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will alternate the\neffect&#8217;s impact between start end value.</p>\n\n<p>Looks only nice on color effects.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"full"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function the effect&#8217;s impact will be\nas if it has reached the end position.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"get"},children:[{type:"params",children:[{type:"param",attributes:{"name":"functionName"},children:[{type:"desc",attributes:{"text":"<p>Name off the function.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Maps function name to function.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Function belonging to the name or false,\nfunction does not exist</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Function"}},{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"linear"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Returns the given effect position without\nchanging it. This is the default transition\nfunction for most effects.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"none"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function the effect&#8217;s impact will be zero.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"pulse"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]},{type:"param",attributes:{"name":"pulses"},children:[{type:"desc",attributes:{"text":"<p>Amount of pulses</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will alternate rapidly the\neffect&#8217;s impact between start end value.</p>\n\n<p>Looks only nice on color effects.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"reverse"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will reverse the\neffect&#8217;s impact.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"sinodial"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will accelerate the\neffect&#8217;s impact sinusoidal.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"spring"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will overshoot the\ntarget value and then move back the impact&#8217;s\nimpact.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"wobble"},children:[{type:"params",children:[{type:"param",attributes:{"name":"pos"},children:[{type:"desc",attributes:{"text":"<p>Effect position in duration</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Using this function will bounce the\neffect&#8217;s impact forwards and backwards</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Modified effect position</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]}]}]}