{type:"class",attributes:{"name":"Shake","packageName":"qx.fx.effect.combination","superClass":"qx.fx.Base","fullName":"qx.fx.effect.combination.Shake","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Combination effect &#8220;Shake&#8221;</p>\n\n<p>The given element will be moved forwards and backwards\nseveral times.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.fx.Base","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"},children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">DOM</span> element</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Object"}}]}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"possibleValues":"\"horizontal\",\"vertical\"","defaultValue":"\"horizontal\"","name":"direction","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Direction in which the element should be shaken.</p>"}}]},{type:"property",attributes:{"check":"Number","defaultValue":"20","name":"distance","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Amount of pixel the element should be moved during the shake.</p>"}}]},{type:"property",attributes:{"refine":"true","defaultValue":"0.5","overriddenFrom":"qx.fx.Base","name":"duration","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Number of seconds the effect should run.</p>"}}]}]},{type:"methods",children:[{type:"method",attributes:{"name":"getDirection","fromProperty":"direction"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>direction</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #direction}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>direction</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getDistance","fromProperty":"distance"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>distance</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #distance}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>distance</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initDirection","fromProperty":"direction"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>direction</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>direction</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #direction}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initDistance","fromProperty":"distance"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>distance</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>distance</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #distance}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"resetDirection","fromProperty":"direction"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>direction</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #direction}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetDistance","fromProperty":"distance"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>distance</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #distance}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setDirection","fromProperty":"direction"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>direction</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>direction</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #direction}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setDistance","fromProperty":"distance"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>distance</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>distance</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #distance}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"start"}}]}]}