{type:"class",attributes:{"name":"Switch","packageName":"qx.fx.effect.combination","superClass":"qx.fx.Base","fullName":"qx.fx.effect.combination.Switch","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Combination effect &#8220;Switch Off&#8221;</p>\n\n<p>The given element will flicker one time and then\nfold in.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.fx.Base","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"},children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">DOM</span> element</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Object"}}]}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"refine":"true","defaultValue":"0.5","overriddenFrom":"qx.fx.Base","name":"duration","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Number of seconds the effect should run.</p>"}}]},{type:"property",attributes:{"refine":"true","defaultValue":"0.0","overriddenFrom":"qx.fx.Base","name":"from","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Initial opacity value</p>"}}]},{type:"property",attributes:{"possibleValues":"\"off\"","defaultValue":"\"off\"","name":"mode","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Mode indicating if effect should switch\nelement &#8220;on&#8221; or &#8220;off&#8221;</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"modifyDisplay","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if the <span class=\"caps\">CSS</span> attribute &#8220;display&#8221;\nshould be modified by effect</p>"}}]},{type:"property",attributes:{"refine":"true","defaultValue":"1.0","overriddenFrom":"qx.fx.Base","name":"to","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Final opacity value</p>"}}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.fx.Base#duration","overriddenFrom":"qx.fx.Base","name":"_applyDuration"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>duration</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyDuration}.</p>"}}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"afterFinish"}},{type:"method",attributes:{"name":"getMode","fromProperty":"mode"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>mode</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #mode}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>mode</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getModifyDisplay","fromProperty":"modifyDisplay"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>modifyDisplay</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #modifyDisplay}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>modifyDisplay</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initMode","fromProperty":"mode"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>mode</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>mode</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #mode}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initModifyDisplay","fromProperty":"modifyDisplay"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>modifyDisplay</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>modifyDisplay</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #modifyDisplay}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"isModifyDisplay","fromProperty":"modifyDisplay"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>modifyDisplay</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #modifyDisplay}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"resetMode","fromProperty":"mode"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>mode</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #mode}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetModifyDisplay","fromProperty":"modifyDisplay"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>modifyDisplay</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #modifyDisplay}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setMode","fromProperty":"mode"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>mode</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>mode</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #mode}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setModifyDisplay","fromProperty":"modifyDisplay"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>modifyDisplay</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>modifyDisplay</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #modifyDisplay}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"setup"}},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"start"}},{type:"method",attributes:{"name":"toggleModifyDisplay","fromProperty":"modifyDisplay"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>modifyDisplay</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #modifyDisplay}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]}]}]}