{type:"class",attributes:{"name":"Highlight","packageName":"qx.fx.effect.core","superClass":"qx.fx.Base","fullName":"qx.fx.effect.core.Highlight","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Core effect &#8220;Highlight&#8221;</p>\n\n<p>This effect cycles to background color from initial to final color.</p>"}},{type:"methods",children:[{type:"method",attributes:{"access":"protected","name":"_restore"},children:[{type:"desc",attributes:{"text":"<p>Helper function to restore style attributes\nto the state before the effect was started.</p>"}}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"finish"}},{type:"method",attributes:{"name":"getEndColor","fromProperty":"endColor"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>endColor</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #endColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>endColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getKeepBackgroundImage","fromProperty":"keepBackgroundImage"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>keepBackgroundImage</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #keepBackgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>keepBackgroundImage</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getRestoreBackground","fromProperty":"restoreBackground"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>restoreBackground</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreBackground}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>restoreBackground</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getStartColor","fromProperty":"startColor"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>startColor</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #startColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>startColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initEndColor","fromProperty":"endColor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>endColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>endColor</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #endColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initKeepBackgroundImage","fromProperty":"keepBackgroundImage"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>keepBackgroundImage</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>keepBackgroundImage</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #keepBackgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initRestoreBackground","fromProperty":"restoreBackground"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>restoreBackground</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>restoreBackground</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreBackground}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initStartColor","fromProperty":"startColor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>startColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>startColor</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #startColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"isKeepBackgroundImage","fromProperty":"keepBackgroundImage"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>keepBackgroundImage</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #keepBackgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isRestoreBackground","fromProperty":"restoreBackground"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>restoreBackground</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreBackground}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"resetEndColor","fromProperty":"endColor"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>endColor</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #endColor}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetKeepBackgroundImage","fromProperty":"keepBackgroundImage"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>keepBackgroundImage</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #keepBackgroundImage}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetRestoreBackground","fromProperty":"restoreBackground"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>restoreBackground</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreBackground}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetStartColor","fromProperty":"startColor"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>startColor</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #startColor}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setEndColor","fromProperty":"endColor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>endColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>endColor</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #endColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setKeepBackgroundImage","fromProperty":"keepBackgroundImage"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>keepBackgroundImage</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>keepBackgroundImage</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #keepBackgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setRestoreBackground","fromProperty":"restoreBackground"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>restoreBackground</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>restoreBackground</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreBackground}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setStartColor","fromProperty":"startColor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>startColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>startColor</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #startColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"setup"}},{type:"method",attributes:{"name":"toggleKeepBackgroundImage","fromProperty":"keepBackgroundImage"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>keepBackgroundImage</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #keepBackgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"toggleRestoreBackground","fromProperty":"restoreBackground"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>restoreBackground</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreBackground}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"update"},children:[{type:"params",children:[{type:"param",attributes:{"name":"position"}}]}]}]},{type:"properties",children:[{type:"property",attributes:{"check":"Color","defaultValue":"\"#ffffaa\"","name":"endColor","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Final background color value.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"false","name":"keepBackgroundImage","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element&#8217;s background image should consists during effect.\nUseful for no-repeating background images.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"restoreBackground","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element&#8217;s background color or image should be restored.</p>"}}]},{type:"property",attributes:{"check":"Color","defaultValue":"\"#ffffff\"","name":"startColor","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Initial background color value.</p>"}}]}]}]}