{type:"class",attributes:{"name":"Scale","packageName":"qx.fx.effect.core","superClass":"qx.fx.Base","fullName":"qx.fx.effect.core.Scale","type":"class"},children:[{type:"desc",attributes:{"text":"<p>This effect scales the specified element (and its content, optionally)\nby given percentages.</p>"}},{type:"methods",children:[{type:"method",attributes:{"access":"protected","name":"_setDimensions"},children:[{type:"params",children:[{type:"param",attributes:{"name":"width"},children:[{type:"desc",attributes:{"text":"<p>Width in pixels</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]},{type:"param",attributes:{"name":"height"},children:[{type:"desc",attributes:{"text":"<p>Height in pixels</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Internal helper function which sets element&#8217;s\ndimensions to the given values and (optionally)\nmoves it to scale centered.</p>"}}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"finish"}},{type:"method",attributes:{"name":"getAlternateDimensions","fromProperty":"alternateDimensions"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>alternateDimensions</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #alternateDimensions}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>alternateDimensions</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getRestoreAfterFinish","fromProperty":"restoreAfterFinish"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>restoreAfterFinish</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreAfterFinish}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>restoreAfterFinish</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getScaleContent","fromProperty":"scaleContent"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>scaleContent</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleContent}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>scaleContent</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getScaleFrom","fromProperty":"scaleFrom"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>scaleFrom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFrom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>scaleFrom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getScaleFromCenter","fromProperty":"scaleFromCenter"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>scaleFromCenter</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFromCenter}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>scaleFromCenter</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getScaleTo","fromProperty":"scaleTo"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>scaleTo</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleTo}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>scaleTo</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getScaleX","fromProperty":"scaleX"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>scaleX</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleX}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>scaleX</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getScaleY","fromProperty":"scaleY"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>scaleY</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleY}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>scaleY</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initAlternateDimensions","fromProperty":"alternateDimensions"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>alternateDimensions</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>alternateDimensions</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #alternateDimensions}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initRestoreAfterFinish","fromProperty":"restoreAfterFinish"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>restoreAfterFinish</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>restoreAfterFinish</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreAfterFinish}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initScaleContent","fromProperty":"scaleContent"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>scaleContent</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>scaleContent</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleContent}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initScaleFrom","fromProperty":"scaleFrom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>scaleFrom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>scaleFrom</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFrom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initScaleFromCenter","fromProperty":"scaleFromCenter"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>scaleFromCenter</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>scaleFromCenter</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFromCenter}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initScaleTo","fromProperty":"scaleTo"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>scaleTo</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>scaleTo</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleTo}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initScaleX","fromProperty":"scaleX"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>scaleX</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>scaleX</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleX}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initScaleY","fromProperty":"scaleY"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>scaleY</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>scaleY</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleY}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"isRestoreAfterFinish","fromProperty":"restoreAfterFinish"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>restoreAfterFinish</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreAfterFinish}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isScaleContent","fromProperty":"scaleContent"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>scaleContent</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleContent}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isScaleFromCenter","fromProperty":"scaleFromCenter"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>scaleFromCenter</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFromCenter}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isScaleX","fromProperty":"scaleX"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>scaleX</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleX}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"isScaleY","fromProperty":"scaleY"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>scaleY</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleY}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"resetAlternateDimensions","fromProperty":"alternateDimensions"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>alternateDimensions</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #alternateDimensions}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetRestoreAfterFinish","fromProperty":"restoreAfterFinish"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>restoreAfterFinish</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreAfterFinish}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetScaleContent","fromProperty":"scaleContent"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>scaleContent</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleContent}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetScaleFrom","fromProperty":"scaleFrom"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>scaleFrom</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFrom}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetScaleFromCenter","fromProperty":"scaleFromCenter"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>scaleFromCenter</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFromCenter}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetScaleTo","fromProperty":"scaleTo"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>scaleTo</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleTo}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetScaleX","fromProperty":"scaleX"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>scaleX</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleX}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetScaleY","fromProperty":"scaleY"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>scaleY</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleY}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setAlternateDimensions","fromProperty":"alternateDimensions"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>alternateDimensions</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>alternateDimensions</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #alternateDimensions}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setRestoreAfterFinish","fromProperty":"restoreAfterFinish"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>restoreAfterFinish</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>restoreAfterFinish</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreAfterFinish}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setScaleContent","fromProperty":"scaleContent"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>scaleContent</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>scaleContent</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleContent}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setScaleFrom","fromProperty":"scaleFrom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>scaleFrom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>scaleFrom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFrom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setScaleFromCenter","fromProperty":"scaleFromCenter"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>scaleFromCenter</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>scaleFromCenter</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFromCenter}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setScaleTo","fromProperty":"scaleTo"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>scaleTo</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>scaleTo</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleTo}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setScaleX","fromProperty":"scaleX"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>scaleX</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>scaleX</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleX}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setScaleY","fromProperty":"scaleY"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>scaleY</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>scaleY</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleY}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"setup"}},{type:"method",attributes:{"name":"toggleRestoreAfterFinish","fromProperty":"restoreAfterFinish"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>restoreAfterFinish</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #restoreAfterFinish}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"toggleScaleContent","fromProperty":"scaleContent"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>scaleContent</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleContent}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"toggleScaleFromCenter","fromProperty":"scaleFromCenter"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>scaleFromCenter</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleFromCenter}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"toggleScaleX","fromProperty":"scaleX"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>scaleX</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleX}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"toggleScaleY","fromProperty":"scaleY"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>scaleY</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #scaleY}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.fx.Base","overriddenFrom":"qx.fx.Base","name":"update"},children:[{type:"params",children:[{type:"param",attributes:{"name":"position"}}]}]}]},{type:"properties",children:[{type:"property",attributes:{"check":"Array","defaultValue":"[Unsupported item type: array]","name":"alternateDimensions","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Array containing sizes which will instead of element&#8217;s dimensions, if filled.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"false","name":"restoreAfterFinish","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element&#8217;s original dimensions should be restored\nafter effect&#8217;s runtime.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"scaleContent","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element&#8217;s content (font size) should be scaled.</p>"}}]},{type:"property",attributes:{"check":"Number","defaultValue":"100.0","name":"scaleFrom","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Percentage the elements dimensions should be scaled from.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"scaleFromCenter","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element should be scaled\nfrom center (upper left corner otherwise).</p>"}}]},{type:"property",attributes:{"check":"Number","defaultValue":"100","name":"scaleTo","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Percentage the elements dimensions should be scaled to.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"scaleX","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element&#8217;s width should be scaled.</p>"}}]},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"scaleY","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Flag indicating if element&#8217;s height should be scaled.</p>"}}]}]}]}