{type:"class",attributes:{"name":"Resizer","packageName":"qx.ui.container","mixins":"qx.ui.core.MResizable","superClass":"qx.ui.container.Composite","fullName":"qx.ui.container.Resizer","type":"class"},children:[{type:"desc",attributes:{"text":"<p>The Resizer is a resizable container widget.</p>\n\n<p>It allows to be resized (not moved), normally in\nthe right and/or bottom directions. It is an alternative to splitters.</p>\n\n<p><strong>Example</strong></p>\n\n<p>Here is a little example of how to use the widget.</p>\n\n<pre class=\"javascript\">\n  var resizer = new qx.ui.container.Resizer().set({\n    width: 200,\n    height: 100\n  });\n\n  resizer.setLayout(new qx.ui.layout.Canvas());\n  var text = new qx.ui.form.TextArea(\"Resize me\nI'm resizable\");\n  resizer.add(text, {edge: 0});\n\n  this.getRot().add(resizer);\n</pre>\n\n<p>This example creates a resizer, configures it with a canvas layout and\nadds a text area to it.</p>\n\n<p><strong>External Documentation</strong></p>\n\n<a href=\"http://qooxdoo.org/documentation/0.8/widget/Resizer\" target=\"_blank\">\nDocumentation of this widget in the qooxdoo wiki.</a>"}},{type:"properties",children:[{type:"property",attributes:{"name":"appearance","docFrom":"qx.ui.core.Widget","defaultValue":"\"resizer\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.core.Widget"}}]}]}