{type:"class",attributes:{"name":"ColorPopup","packageName":"qx.ui.control","superClass":"qx.ui.popup.Popup","fullName":"qx.ui.control.ColorPopup","type":"class"},children:[{type:"desc",attributes:{"text":"<p>A popup which contains paletts of colors and the possibility to open the\nColorselector to choose a color.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.ui.popup.Popup","isCtor":"true","name":"ctor"}}]},{type:"events",children:[{type:"event",attributes:{"name":"changeBlue"},children:[{type:"desc",attributes:{"text":"Fired on change of the property {@link #blue}."}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"changeGreen"},children:[{type:"desc",attributes:{"text":"Fired on change of the property {@link #green}."}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"changeRed"},children:[{type:"desc",attributes:{"text":"Fired on change of the property {@link #red}."}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"changeValue"},children:[{type:"desc",attributes:{"text":"Fired on change of the property {@link #value}."}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.control.ColorPopup#value","name":"_applyValue"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>value</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyValue}.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_createBoxes"},children:[{type:"desc",attributes:{"text":"<p>Creates the GroupBoxes containing the colored fields.</p>"}}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.Widget","overriddenFrom":"qx.ui.core.Widget","name":"_createChildControlImpl"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"}}]}]},{type:"method",attributes:{"access":"protected","name":"_createColorSelector"},children:[{type:"desc",attributes:{"text":"<p>Creates the ColorSelector and adds buttons.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onAutomaticBtnExecute"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.Command"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of execute event on the &#8220;cancel&#8221; button.\nHides the ColorPopup and resets it&#8217;s color value.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onChangeVisibility"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener for visibility changes.\nSets preview pane&#8217;s background color to the current color,\nwhen the popup is visible.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onColorSelectorCancel"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.Command"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of execute event on the &#8220;Cancel&#8221; button.\nHides the ColorPopup.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onColorSelectorOk"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.Command"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of execute event on the &#8220;OK&#8221; button.\nHides the ColorPopup and sets it&#8217;s color value to the selected color.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onFieldMouseDown"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Mouse"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of mousedown event on a color field. Sets the ColorPoup&#8217;s value\nto field&#8217;s color value and paint the preview pane.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onFieldMouseOut"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Mouse"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of mouseout event on a color field. Reset the preview pane&#8217;s\nbackground color to the old color value.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onFieldMouseOver"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Mouse"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of mousemove event on a color field. Sets preview pane&#8217;s\nbackground color to the field&#8217;s color value.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onSelectorButtonExecute"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Incoming event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.Command"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener of execute event on the &#8220;Open ColorSelector&#8221; button.\nOpens a ColorSelector widget and hides the ColorPopup.</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_rotatePreviousColors"},children:[{type:"desc",attributes:{"text":"<p>Adds the most recent selected color to the &#8220;Recent colors&#8221; list.\nIf this list is full, the first color will be removed before inserting\nthe new one.</p>"}}]},{type:"method",attributes:{"name":"getBlue","fromProperty":"blue"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>blue</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #blue}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>blue</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getGreen","fromProperty":"green"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>green</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #green}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>green</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getRed","fromProperty":"red"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>red</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #red}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>red</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getValue","fromProperty":"value"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>value</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #value}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>value</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initBlue","fromProperty":"blue"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>blue</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>blue</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #blue}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initGreen","fromProperty":"green"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>green</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>green</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #green}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initRed","fromProperty":"red"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>red</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>red</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #red}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initValue","fromProperty":"value"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>value</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>value</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #value}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"resetBlue","fromProperty":"blue"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>blue</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #blue}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetGreen","fromProperty":"green"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>green</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #green}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetRed","fromProperty":"red"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>red</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #red}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetValue","fromProperty":"value"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>value</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #value}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setBlue","fromProperty":"blue"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>blue</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>blue</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #blue}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setGreen","fromProperty":"green"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>green</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>green</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #green}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setRed","fromProperty":"red"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>red</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>red</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #red}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setValue","fromProperty":"value"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>value</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>value</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #value}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"name":"appearance","docFrom":"qx.ui.core.Widget","defaultValue":"\"colorpopup\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.popup.Popup"}},{type:"property",attributes:{"name":"blue","defaultValue":"null","event":"changeBlue","allowNull":"true","propertyType":"new","check":"Number"},children:[{type:"desc",attributes:{"text":"<p>The numeric blue value of the selected color.</p>"}}]},{type:"property",attributes:{"name":"green","defaultValue":"null","event":"changeGreen","allowNull":"true","propertyType":"new","check":"Number"},children:[{type:"desc",attributes:{"text":"<p>The numeric green value of the selected color.</p>"}}]},{type:"property",attributes:{"name":"red","defaultValue":"null","event":"changeRed","allowNull":"true","propertyType":"new","check":"Number"},children:[{type:"desc",attributes:{"text":"<p>The numeric red value of the selected color.</p>"}}]},{type:"property",attributes:{"allowNull":"true","apply":"_applyValue","event":"changeValue","name":"value","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>The hex value of the selected color.</p>"}}]}]}]}