{type:"class",attributes:{"name":"MContentPadding","packageName":"qx.ui.core","includer":"qx.ui.groupbox.GroupBox,qx.ui.form.Spinner,qx.ui.tabview.TabView,qx.ui.container.Scroll,qx.ui.window.Window,qx.ui.tree.Tree","fullName":"qx.ui.core.MContentPadding","type":"mixin"},children:[{type:"desc",attributes:{"text":"<p>This mixin defines the <code>contentPadding</code> property, which is used\nby widgets like the window or group box, which must have a property, which\ndefines the padding of an inner pane.</p>\n\n<p>The including class must implement the method\n<code>_getContentPaddingTarget</code>, which must return the widget on which\nthe padding should be applied.</p>"}},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.core.MContentPadding#contentPaddingRight","isMixin":"true","name":"_applyContentPadding"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>contentPaddingLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyContentPadding}.</p>"}}]},{type:"method",attributes:{"name":"getContentPaddingBottom","fromProperty":"contentPaddingBottom"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>contentPaddingBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>contentPaddingBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getContentPaddingLeft","fromProperty":"contentPaddingLeft"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>contentPaddingLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>contentPaddingLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getContentPaddingRight","fromProperty":"contentPaddingRight"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>contentPaddingRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>contentPaddingRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getContentPaddingTop","fromProperty":"contentPaddingTop"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>contentPaddingTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>contentPaddingTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initContentPaddingBottom","fromProperty":"contentPaddingBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>contentPaddingBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>contentPaddingBottom</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initContentPaddingLeft","fromProperty":"contentPaddingLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>contentPaddingLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>contentPaddingLeft</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initContentPaddingRight","fromProperty":"contentPaddingRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>contentPaddingRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>contentPaddingRight</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initContentPaddingTop","fromProperty":"contentPaddingTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>contentPaddingTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>contentPaddingTop</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"resetContentPadding","fromProperty":"contentPadding"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>contentPadding</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPadding}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetContentPaddingBottom","fromProperty":"contentPaddingBottom"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>contentPaddingBottom</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingBottom}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetContentPaddingLeft","fromProperty":"contentPaddingLeft"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>contentPaddingLeft</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingLeft}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetContentPaddingRight","fromProperty":"contentPaddingRight"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>contentPaddingRight</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingRight}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetContentPaddingTop","fromProperty":"contentPaddingTop"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>contentPaddingTop</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingTop}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setContentPadding","fromProperty":"contentPadding"},children:[{type:"params",children:[{type:"param",attributes:{"name":"contentPaddingTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #contentPaddingTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"contentPaddingRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #contentPaddingRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"contentPaddingBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #contentPaddingBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"contentPaddingLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #contentPaddingLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>contentPadding</code>.</p>\n\n<p>This setter supports a shorthand mode compatible with the way margins and paddins are set in <span class=\"caps\">CSS</span>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPadding}.</p>"}}]},{type:"method",attributes:{"name":"setContentPaddingBottom","fromProperty":"contentPaddingBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>contentPaddingBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>contentPaddingBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setContentPaddingLeft","fromProperty":"contentPaddingLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>contentPaddingLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>contentPaddingLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setContentPaddingRight","fromProperty":"contentPaddingRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>contentPaddingRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>contentPaddingRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setContentPaddingTop","fromProperty":"contentPaddingTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>contentPaddingTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>contentPaddingTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #contentPaddingTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"group":"\"contentPaddingTop\",\"contentPaddingRight\",\"contentPaddingBottom\",\"contentPaddingLeft\"","name":"contentPadding","mode":"shorthand","propertyType":"group","isMixin":"true","themeable":"true"},children:[{type:"desc",attributes:{"text":"<p>The &#8216;contentPadding&#8217; property is a shorthand property for setting &#8216;contentPaddingTop&#8217;,\n&#8216;contentPaddingRight&#8217;, &#8216;contentPaddingBottom&#8217; and &#8216;contentPaddingLeft&#8217;\nat the same time.</p>\n\n<p>If four values are specified they apply to top, right, bottom and left respectively.\nIf there is only one value, it applies to all sides, if there are two or three,\nthe missing values are taken from the opposite side.</p>"}}]},{type:"property",attributes:{"name":"contentPaddingBottom","defaultValue":"0","propertyType":"new","apply":"_applyContentPadding","isMixin":"true","check":"Integer","themeable":"true"},children:[{type:"desc",attributes:{"text":"<p>Bottom padding of the content pane</p>"}}]},{type:"property",attributes:{"name":"contentPaddingLeft","defaultValue":"0","propertyType":"new","apply":"_applyContentPadding","isMixin":"true","check":"Integer","themeable":"true"},children:[{type:"desc",attributes:{"text":"<p>Left padding of the content pane</p>"}}]},{type:"property",attributes:{"name":"contentPaddingRight","defaultValue":"0","propertyType":"new","apply":"_applyContentPadding","isMixin":"true","check":"Integer","themeable":"true"},children:[{type:"desc",attributes:{"text":"<p>Right padding of the content pane</p>"}}]},{type:"property",attributes:{"name":"contentPaddingTop","defaultValue":"0","propertyType":"new","apply":"_applyContentPadding","isMixin":"true","check":"Integer","themeable":"true"},children:[{type:"desc",attributes:{"text":"<p>Top padding of the content pane</p>"}}]}]}]}