{type:"class",attributes:{"name":"MLayoutHandling","packageName":"qx.ui.core","includer":"qx.ui.container.Composite,qx.ui.root.Inline","fullName":"qx.ui.core.MLayoutHandling","type":"mixin"},children:[{type:"desc",attributes:{"text":"<p>This mixin exposes all methods to manage the layout manager of a widget.\nIt can only be included into instances of {@link Widget}.</p>\n\n<p>To optimize the method calls the including widget should call the method\n{@link #remap} in its defer function. This will map the protected\nmethods to the public ones and save one method call for each function.</p>"}},{type:"methods",children:[{type:"method",attributes:{"isMixin":"true","name":"getLayout"},children:[{type:"desc",attributes:{"text":"<p>Get the widget&#8217;s layout manager.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The widget&#8217;s layout manager</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.layout.Abstract"}}]}]}]},{type:"method",attributes:{"isMixin":"true","name":"setLayout"},children:[{type:"params",children:[{type:"param",attributes:{"name":"layout"},children:[{type:"desc",attributes:{"text":"<p>The new layout or\n    <code>null</code> to reset the layout.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.layout.Abstract"}}]}]}]},{type:"desc",attributes:{"text":"<p>Set a layout manager for the widget. A a layout manager can only be connected\nwith one widget. Reset the connection with a previous widget first, if you\nlike to use it in another widget instead.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]}]},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","isMixin":"true","name":"remap"},children:[{type:"params",children:[{type:"param",attributes:{"name":"members"},children:[{type:"desc",attributes:{"text":"<p>The including classes members map</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]}]},{type:"desc",attributes:{"text":"<p>Mapping of protected methods to public.\nThis omits an additional function call when using these methods. Call\nthis methods in the defer block of the including class.</p>"}}]}]}]}