{type:"class",attributes:{"name":"Single","packageName":"qx.ui.decoration","superClass":"qx.core.Object","childClasses":"qx.ui.decoration.Double","fullName":"qx.ui.decoration.Single","type":"class","interfaces":"qx.ui.decoration.IDecorator"},children:[{type:"desc",attributes:{"text":"<p>A basic decorator featuring background colors and simple borders based on\n<span class=\"caps\">CSS</span> styles.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.core.Object","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"width"},children:[{type:"desc",attributes:{"text":"<p>Width of the border</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"name":"style"},children:[{type:"desc",attributes:{"text":"<p>Any supported border style</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"color"},children:[{type:"desc",attributes:{"text":"<p>The border color</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Color"}}]}]}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.decoration.Single#styleBottom","name":"_applyStyle"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Color"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Color"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>colorRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyStyle}.</p>"}}]},{type:"method",attributes:{"access":"protected","apply":"qx.ui.decoration.Single#widthLeft","name":"_applyWidth"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Number"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>widthTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyWidth}.</p>"}}]},{type:"method",attributes:{"name":"getBackgroundColor","fromProperty":"backgroundColor"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>backgroundColor</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>backgroundColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getBackgroundImage","fromProperty":"backgroundImage"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>backgroundImage</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>backgroundImage</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getBackgroundRepeat","fromProperty":"backgroundRepeat"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>backgroundRepeat</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundRepeat}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>backgroundRepeat</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getColorBottom","fromProperty":"colorBottom"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>colorBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>colorBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getColorLeft","fromProperty":"colorLeft"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>colorLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>colorLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getColorRight","fromProperty":"colorRight"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>colorRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>colorRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getColorTop","fromProperty":"colorTop"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>colorTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>colorTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.ui.decoration.IDecorator","name":"getInsets"}},{type:"method",attributes:{"docFrom":"qx.ui.decoration.IDecorator","name":"getMarkup"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"}}]}]},{type:"method",attributes:{"name":"getStyleBottom","fromProperty":"styleBottom"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>styleBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>styleBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getStyleLeft","fromProperty":"styleLeft"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>styleLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>styleLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getStyleRight","fromProperty":"styleRight"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>styleRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>styleRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getStyleTop","fromProperty":"styleTop"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>styleTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>styleTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getWidthBottom","fromProperty":"widthBottom"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>widthBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>widthBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getWidthLeft","fromProperty":"widthLeft"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>widthLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>widthLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getWidthRight","fromProperty":"widthRight"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>widthRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>widthRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getWidthTop","fromProperty":"widthTop"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>widthTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>widthTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.ui.decoration.IDecorator","name":"init"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"}}]}]},{type:"method",attributes:{"access":"protected","name":"initBackgroundColor","fromProperty":"backgroundColor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>backgroundColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>backgroundColor</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initBackgroundImage","fromProperty":"backgroundImage"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>backgroundImage</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>backgroundImage</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initBackgroundRepeat","fromProperty":"backgroundRepeat"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>backgroundRepeat</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>backgroundRepeat</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundRepeat}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initColorBottom","fromProperty":"colorBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>colorBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>colorBottom</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #colorBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initColorLeft","fromProperty":"colorLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>colorLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>colorLeft</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #colorLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initColorRight","fromProperty":"colorRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>colorRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>colorRight</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #colorRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initColorTop","fromProperty":"colorTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>colorTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>colorTop</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #colorTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initStyleBottom","fromProperty":"styleBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>styleBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>styleBottom</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #styleBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initStyleLeft","fromProperty":"styleLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>styleLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>styleLeft</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #styleLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initStyleRight","fromProperty":"styleRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>styleRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>styleRight</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #styleRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initStyleTop","fromProperty":"styleTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>styleTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>styleTop</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #styleTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initWidthBottom","fromProperty":"widthBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>widthBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>widthBottom</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #widthBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initWidthLeft","fromProperty":"widthLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>widthLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>widthLeft</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #widthLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initWidthRight","fromProperty":"widthRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>widthRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>widthRight</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #widthRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initWidthTop","fromProperty":"widthTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>widthTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>widthTop</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #widthTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"resetBackgroundColor","fromProperty":"backgroundColor"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>backgroundColor</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundColor}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetBackgroundImage","fromProperty":"backgroundImage"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>backgroundImage</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundImage}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetBackgroundRepeat","fromProperty":"backgroundRepeat"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>backgroundRepeat</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundRepeat}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetBottom","fromProperty":"bottom"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>bottom</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #bottom}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetColor","fromProperty":"color"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>color</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #color}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetColorBottom","fromProperty":"colorBottom"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>colorBottom</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #colorBottom}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetColorLeft","fromProperty":"colorLeft"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>colorLeft</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #colorLeft}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetColorRight","fromProperty":"colorRight"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>colorRight</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #colorRight}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetColorTop","fromProperty":"colorTop"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>colorTop</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #colorTop}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetLeft","fromProperty":"left"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>left</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #left}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetRight","fromProperty":"right"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>right</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #right}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetStyle","fromProperty":"style"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>style</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #style}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetStyleBottom","fromProperty":"styleBottom"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>styleBottom</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #styleBottom}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetStyleLeft","fromProperty":"styleLeft"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>styleLeft</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #styleLeft}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetStyleRight","fromProperty":"styleRight"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>styleRight</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #styleRight}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetStyleTop","fromProperty":"styleTop"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>styleTop</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #styleTop}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetTop","fromProperty":"top"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>top</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #top}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetWidth","fromProperty":"width"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>width</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #width}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetWidthBottom","fromProperty":"widthBottom"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>widthBottom</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #widthBottom}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetWidthLeft","fromProperty":"widthLeft"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>widthLeft</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #widthLeft}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetWidthRight","fromProperty":"widthRight"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>widthRight</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #widthRight}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetWidthTop","fromProperty":"widthTop"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>widthTop</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #widthTop}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.ui.decoration.IDecorator","name":"resize"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"}},{type:"param",attributes:{"name":"width"}},{type:"param",attributes:{"name":"height"}}]}]},{type:"method",attributes:{"name":"setBackgroundColor","fromProperty":"backgroundColor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>backgroundColor</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>backgroundColor</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundColor}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setBackgroundImage","fromProperty":"backgroundImage"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>backgroundImage</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>backgroundImage</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundImage}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setBackgroundRepeat","fromProperty":"backgroundRepeat"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>backgroundRepeat</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>backgroundRepeat</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #backgroundRepeat}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setBottom","fromProperty":"bottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"widthBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>bottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #bottom}.</p>"}}]},{type:"method",attributes:{"name":"setColor","fromProperty":"color"},children:[{type:"params",children:[{type:"param",attributes:{"name":"colorTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>color</code>.</p>\n\n<p>This setter supports a shorthand mode compatible with the way margins and paddins are set in <span class=\"caps\">CSS</span>.</p>\n\n<p>For further details take a look at the property definition: {@link #color}.</p>"}}]},{type:"method",attributes:{"name":"setColorBottom","fromProperty":"colorBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>colorBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>colorBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setColorLeft","fromProperty":"colorLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>colorLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>colorLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setColorRight","fromProperty":"colorRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>colorRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>colorRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setColorTop","fromProperty":"colorTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>colorTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>colorTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #colorTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setLeft","fromProperty":"left"},children:[{type:"params",children:[{type:"param",attributes:{"name":"widthLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>left</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #left}.</p>"}}]},{type:"method",attributes:{"name":"setRight","fromProperty":"right"},children:[{type:"params",children:[{type:"param",attributes:{"name":"widthRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>right</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #right}.</p>"}}]},{type:"method",attributes:{"name":"setStyle","fromProperty":"style"},children:[{type:"params",children:[{type:"param",attributes:{"name":"styleTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>style</code>.</p>\n\n<p>This setter supports a shorthand mode compatible with the way margins and paddins are set in <span class=\"caps\">CSS</span>.</p>\n\n<p>For further details take a look at the property definition: {@link #style}.</p>"}}]},{type:"method",attributes:{"name":"setStyleBottom","fromProperty":"styleBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>styleBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>styleBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setStyleLeft","fromProperty":"styleLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>styleLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>styleLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setStyleRight","fromProperty":"styleRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>styleRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>styleRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setStyleTop","fromProperty":"styleTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>styleTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>styleTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #styleTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setTop","fromProperty":"top"},children:[{type:"params",children:[{type:"param",attributes:{"name":"widthTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"styleTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #styleTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"colorTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #colorTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>top</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #top}.</p>"}}]},{type:"method",attributes:{"name":"setWidth","fromProperty":"width"},children:[{type:"params",children:[{type:"param",attributes:{"name":"widthTop"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthTop}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"widthRight"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthRight}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"widthBottom"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthBottom}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"widthLeft"},children:[{type:"desc",attributes:{"text":"<p>Sets the value of the property {@link #widthLeft}.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the values of the property group <code>width</code>.</p>\n\n<p>This setter supports a shorthand mode compatible with the way margins and paddins are set in <span class=\"caps\">CSS</span>.</p>\n\n<p>For further details take a look at the property definition: {@link #width}.</p>"}}]},{type:"method",attributes:{"name":"setWidthBottom","fromProperty":"widthBottom"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>widthBottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>widthBottom</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthBottom}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setWidthLeft","fromProperty":"widthLeft"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>widthLeft</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>widthLeft</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthLeft}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setWidthRight","fromProperty":"widthRight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>widthRight</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>widthRight</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthRight}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setWidthTop","fromProperty":"widthTop"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>widthTop</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>widthTop</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #widthTop}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"docFrom":"qx.ui.decoration.IDecorator","name":"tint"},children:[{type:"params",children:[{type:"param",attributes:{"name":"element"}},{type:"param",attributes:{"name":"bgcolor"}}]}]}]},{type:"properties",children:[{type:"property",attributes:{"allowNull":"true","apply":"_applyStyle","check":"Color","name":"backgroundColor","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Color of the background</p>"}}]},{type:"property",attributes:{"allowNull":"true","apply":"_applyStyle","check":"String","name":"backgroundImage","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>The <span class=\"caps\">URL</span> of the background image</p>"}}]},{type:"property",attributes:{"apply":"_applyStyle","defaultValue":"\"repeat\"","name":"backgroundRepeat","possibleValues":"\"repeat\",\"repeat-x\",\"repeat-y\",\"no-repeat\",\"scale\"","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>How the background image should be repeated</p>"}}]},{type:"property",attributes:{"group":"\"widthBottom\",\"styleBottom\",\"colorBottom\"","name":"bottom","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to configure the bottom border</p>"}}]},{type:"property",attributes:{"mode":"shorthand","group":"\"colorTop\",\"colorRight\",\"colorBottom\",\"colorLeft\"","name":"color","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to set the border color of all sides</p>"}}]},{type:"property",attributes:{"allowNull":"true","apply":"_applyStyle","check":"Color","name":"colorBottom","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>bottom color of border</p>"}}]},{type:"property",attributes:{"allowNull":"true","apply":"_applyStyle","check":"Color","name":"colorLeft","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>left color of border</p>"}}]},{type:"property",attributes:{"allowNull":"true","apply":"_applyStyle","check":"Color","name":"colorRight","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>right color of border</p>"}}]},{type:"property",attributes:{"allowNull":"true","apply":"_applyStyle","check":"Color","name":"colorTop","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>top color of border</p>"}}]},{type:"property",attributes:{"group":"\"widthLeft\",\"styleLeft\",\"colorLeft\"","name":"left","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to configure the left border</p>"}}]},{type:"property",attributes:{"group":"\"widthRight\",\"styleRight\",\"colorRight\"","name":"right","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to configure the right border</p>"}}]},{type:"property",attributes:{"mode":"shorthand","group":"\"styleTop\",\"styleRight\",\"styleBottom\",\"styleLeft\"","name":"style","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to set the border style of all sides</p>"}}]},{type:"property",attributes:{"name":"styleBottom","defaultValue":"\"solid\"","propertyType":"new","allowNull":"true","possibleValues":"\"solid\",\"dotted\",\"dashed\",\"double\"","apply":"_applyStyle"},children:[{type:"desc",attributes:{"text":"<p>bottom style of border</p>"}}]},{type:"property",attributes:{"name":"styleLeft","defaultValue":"\"solid\"","propertyType":"new","allowNull":"true","possibleValues":"\"solid\",\"dotted\",\"dashed\",\"double\"","apply":"_applyStyle"},children:[{type:"desc",attributes:{"text":"<p>left style of border</p>"}}]},{type:"property",attributes:{"name":"styleRight","defaultValue":"\"solid\"","propertyType":"new","allowNull":"true","possibleValues":"\"solid\",\"dotted\",\"dashed\",\"double\"","apply":"_applyStyle"},children:[{type:"desc",attributes:{"text":"<p>right style of border</p>"}}]},{type:"property",attributes:{"name":"styleTop","defaultValue":"\"solid\"","propertyType":"new","allowNull":"true","possibleValues":"\"solid\",\"dotted\",\"dashed\",\"double\"","apply":"_applyStyle"},children:[{type:"desc",attributes:{"text":"<p>top style of border</p>"}}]},{type:"property",attributes:{"group":"\"widthTop\",\"styleTop\",\"colorTop\"","name":"top","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to configure the top border</p>"}}]},{type:"property",attributes:{"mode":"shorthand","group":"\"widthTop\",\"widthRight\",\"widthBottom\",\"widthLeft\"","name":"width","propertyType":"group"},children:[{type:"desc",attributes:{"text":"<p>Property group to set the border width of all sides</p>"}}]},{type:"property",attributes:{"check":"Number","apply":"_applyWidth","defaultValue":"0","name":"widthBottom","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>bottom width of border</p>"}}]},{type:"property",attributes:{"check":"Number","apply":"_applyWidth","defaultValue":"0","name":"widthLeft","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>left width of border</p>"}}]},{type:"property",attributes:{"check":"Number","apply":"_applyWidth","defaultValue":"0","name":"widthRight","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>right width of border</p>"}}]},{type:"property",attributes:{"check":"Number","apply":"_applyWidth","defaultValue":"0","name":"widthTop","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>top width of border</p>"}}]}]}]}