{type:"class",attributes:{"name":"MenuButton","packageName":"qx.ui.form","superClass":"qx.ui.form.Button","childClasses":"qx.ui.menubar.Button","fullName":"qx.ui.form.MenuButton","type":"class"},children:[{type:"desc",attributes:{"text":"<p>A button which opens the connected menu when clicking on it.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.ui.form.Button","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"label"},children:[{type:"desc",attributes:{"text":"<p>Initial label</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"icon"},children:[{type:"desc",attributes:{"text":"<p>Initial icon</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"name":"menu"},children:[{type:"desc",attributes:{"text":"<p>Connect to menu instance</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.menu.Menu"}}]}]}]}]}]},{type:"events",children:[{type:"event",attributes:{"name":"changeMenu"},children:[{type:"desc",attributes:{"text":"Fired on change of the property {@link #menu}."}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.form.MenuButton#menu","name":"_applyMenu"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.menu.Menu"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.menu.Menu"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>menu</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyMenu}.</p>"}}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.form.Button","overriddenFrom":"qx.ui.form.Button","name":"_onKeyDown"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.form.Button","overriddenFrom":"qx.ui.form.Button","name":"_onKeyUp"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]}]},{type:"method",attributes:{"access":"protected","name":"_onMenuChange"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Property change event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Listener for visibility property changes of the attached menu</p>"}}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.form.Button","overriddenFrom":"qx.ui.form.Button","name":"_onMouseDown"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.form.Button","overriddenFrom":"qx.ui.form.Button","name":"_onMouseOut"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.form.Button","overriddenFrom":"qx.ui.form.Button","name":"_onMouseOver"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.form.Button","overriddenFrom":"qx.ui.form.Button","name":"_onMouseUp"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]}]},{type:"method",attributes:{"name":"getMenu","fromProperty":"menu"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>menu</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #menu}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>menu</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initMenu","fromProperty":"menu"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>menu</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>menu</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #menu}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"open"},children:[{type:"params",children:[{type:"param",attributes:{"defaultValue":"false","name":"selectFirst"},children:[{type:"desc",attributes:{"text":"<p>Whether the first menu button should be selected</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"desc",attributes:{"text":"<p>Positions and shows the attached menu widget.</p>"}}]},{type:"method",attributes:{"name":"resetMenu","fromProperty":"menu"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>menu</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #menu}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setMenu","fromProperty":"menu"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>menu</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>menu</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #menu}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"name":"menu","check":"qx.ui.menu.Menu","allowNull":"true","propertyType":"new","apply":"_applyMenu","event":"changeMenu"},children:[{type:"desc",attributes:{"text":"<p>The menu instance to show when clicking on the button</p>"}}]}]}]}