{type:"class",attributes:{"name":"GroupBox","packageName":"qx.ui.groupbox","mixins":"qx.ui.core.MRemoteChildrenHandling,qx.ui.core.MRemoteLayoutHandling,qx.ui.core.MContentPadding","superClass":"qx.ui.core.Widget","childClasses":"qx.ui.groupbox.CheckGroupBox,qx.ui.groupbox.RadioGroupBox","fullName":"qx.ui.groupbox.GroupBox","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Group boxes are used to group a set of form elements.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.ui.core.Widget","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"defaultValue":"\"\"","name":"legend"},children:[{type:"desc",attributes:{"text":"<p>The group boxes legend</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"defaultValue":"\"\"","name":"icon"},children:[{type:"desc",attributes:{"text":"<p>The icon of the legend</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.groupbox.GroupBox#legendPosition","name":"_applyLegendPosition"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"}}]},{type:"desc",attributes:{"text":"<p>Apply method for applying the legend position. It calls the\n{@link _repositionFrame} method.</p>"}}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.Widget","overriddenFrom":"qx.ui.core.Widget","name":"_createChildControlImpl"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"}}]}]},{type:"method",attributes:{"access":"protected","name":"_getContentPaddingTarget"},children:[{type:"desc",attributes:{"text":"<p>Returns the element, to which the content padding should be applied.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The content padding target.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.core.Widget"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"_repositionFrame"},children:[{type:"desc",attributes:{"text":"<p>Repositions the frame of the group box dependent on the\n{@link legendPosition} property.</p>"}}]},{type:"method",attributes:{"overriddenFrom":"qx.ui.core.Widget","name":"getChildrenContainer"},children:[{type:"desc",attributes:{"text":"<p>The children container needed by the {@link qx.ui.core.MRemoteChildrenHandling}\nmixin</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>pane sub widget</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.container.Composite"}}]}]}]},{type:"method",attributes:{"name":"getIcon"},children:[{type:"desc",attributes:{"text":"<p>Accessor method for the icon of the legend sub widget</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>source of the new icon of the legend sub widget</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"getLegend"},children:[{type:"desc",attributes:{"text":"<p>Accessor method for the label of the legend sub widget</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Label of the legend sub widget</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"getLegendPosition","fromProperty":"legendPosition"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>legendPosition</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #legendPosition}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>legendPosition</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initLegendPosition","fromProperty":"legendPosition"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>legendPosition</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>legendPosition</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #legendPosition}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"resetLegendPosition","fromProperty":"legendPosition"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>legendPosition</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #legendPosition}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setIcon"},children:[{type:"params",children:[{type:"param",attributes:{"name":"icon"},children:[{type:"desc",attributes:{"text":"<p>source of the new icon of the legend sub widget</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the icon of the legend sub widget.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setLegend"},children:[{type:"params",children:[{type:"param",attributes:{"name":"legend"},children:[{type:"desc",attributes:{"text":"<p>new label of the legend sub widget</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the label of the legend sub widget if the given string is\nvalid. Otherwise the legend sub widget get not displayed.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setLegendPosition","fromProperty":"legendPosition"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>legendPosition</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>legendPosition</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #legendPosition}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"name":"appearance","docFrom":"qx.ui.core.Widget","defaultValue":"\"groupbox\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.core.Widget"}},{type:"property",attributes:{"name":"legendPosition","defaultValue":"\"middle\"","propertyType":"new","apply":"_applyLegendPosition","possibleValues":"\"top\",\"middle\"","themeable":"true"},children:[{type:"desc",attributes:{"text":"<p>Property for setting the position of the legend.</p>"}}]}]}]}