{type:"class",attributes:{"name":"RadioGroupBox","packageName":"qx.ui.groupbox","superClass":"qx.ui.groupbox.GroupBox","fullName":"qx.ui.groupbox.RadioGroupBox","type":"class","interfaces":"qx.ui.form.IRadioItem"},children:[{type:"desc",attributes:{"text":"<p>A group box, which has a radio button near the legend.</p>"}},{type:"properties",children:[{type:"property",attributes:{"name":"appearance","docFrom":"qx.ui.core.Widget","defaultValue":"\"radio-groupbox\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.groupbox.GroupBox"}}]},{type:"events",children:[{type:"event",attributes:{"name":"changeChecked"},children:[{type:"desc",attributes:{"text":"<p>Fired when the included radiobutton changed its status</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"changeName"},children:[{type:"desc",attributes:{"text":"<p>Fired when the included radiobutton changed its name</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]},{type:"event",attributes:{"name":"changeValue"},children:[{type:"desc",attributes:{"text":"<p>Fired when the included radiobutton changed its value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.Widget","overriddenFrom":"qx.ui.groupbox.GroupBox","name":"_createChildControlImpl"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"}}]}]},{type:"method",attributes:{"access":"protected","name":"_onRadioChangeChecked"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Data event which holds the current status</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Event listener for changeChecked event of radio button</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onRadioChangeName"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Data event which holds the current status</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Event listener for changeName event of radio button</p>"}}]},{type:"method",attributes:{"access":"protected","name":"_onRadioChangeValue"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>Data event which holds the current status</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Event listener for changeValue event of radio button</p>"}}]},{type:"method",attributes:{"name":"getChecked"},children:[{type:"desc",attributes:{"text":"<p>Whether the groupbox is enabled</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<code>true</code> when enabled"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"getGroup"},children:[{type:"desc",attributes:{"text":"<p>Returns the radio group</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The radio manager</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.form.RadioGroup"}}]}]}]},{type:"method",attributes:{"name":"getLabel"},children:[{type:"desc",attributes:{"text":"<p>Returns the configured legend. Only used for RadioManager compatibility.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The configured legend.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"getName"},children:[{type:"desc",attributes:{"text":"<p>The name of the groupbox. Mainly used for serialization proposes.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The name</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"getValue"},children:[{type:"desc",attributes:{"text":"<p>The value of the groupbox. Mainly used for serialization proposes.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"setChecked"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>whether the groupbox should be checked</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Configures whether the groupbox should be enabled</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the incoming value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"setGroup"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>The radio group to use</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.form.RadioGroup"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the radio group to use</p>"}}]},{type:"method",attributes:{"name":"setName"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>the name to use</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Configures the name of the groupbox. Mainly used for serialization proposes.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the incoming value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"name":"setValue"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>the value to use</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Configures the value of the groupbox. Mainly used for serialization proposes.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the incoming value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]}]}]}