{type:"class",attributes:{"name":"Grow","packageName":"qx.ui.layout","superClass":"qx.ui.layout.Abstract","fullName":"qx.ui.layout.Grow","type":"class"},children:[{type:"desc",attributes:{"text":"<p>The grow layout stretches all children to the full available size\nbut still respects limits configured by min/max values.</p>\n\n<p>It will place all children over each other with the top and left coordinates\nset to <code>0</code>. The {@link qx.ui.container.Stack} and the\n{@link qx.ui.core.ScrollPane} are using this layout.</p>\n\n<p><strong>Features</strong></p>\n\n<ul>\n<li>Auto-sizing</li>\n<li>Respects minimum and maximum child dimensions</li>\n</ul>\n\n<p><strong>Item Properties</strong></p>\n\n<p>None</p>\n\n<p><strong>Example</strong></p>\n\n<pre class=\"javascript\">\nvar layout = new qx.ui.layout.Grow();\n\nvar w1 = new qx.ui.core.Widget();\nvar w2 = new qx.ui.core.Widget();\nvar w3 = new qx.ui.core.Widget();\n\nvar container = new qx.ui.container.Composite(layout);\ncontainer.add(w1);\ncontainer.add(w2);\ncontainer.add(w3);\n</pre>\n\n<p><strong>External Documentation</strong></p>\n\n<a href=\"http://qooxdoo.org/documentation/0.8/layout/Grow\">\nExtended documentation</a> and links to demos of this layout in the qooxdoo wiki."}},{type:"methods",children:[{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.layout.Abstract","overriddenFrom":"qx.ui.layout.Abstract","name":"_computeSizeHint"}},{type:"method",attributes:{"docFrom":"qx.ui.layout.Abstract","overriddenFrom":"qx.ui.layout.Abstract","name":"renderLayout"},children:[{type:"params",children:[{type:"param",attributes:{"name":"availWidth"}},{type:"param",attributes:{"name":"availHeight"}}]}]}]}]}