{type:"class",attributes:{"name":"Popup","packageName":"qx.ui.popup","mixins":"qx.ui.core.MPlacement","superClass":"qx.ui.container.Composite","childClasses":"qx.ui.control.ColorPopup,qx.ui.tooltip.ToolTip","fullName":"qx.ui.popup.Popup","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Popups are widgets, which can be placed on top of the application.\nThey are automatically added to the application root.</p>\n\n<p>Popups are used to display menus, the lists of combo or select boxes,\ntooltips, etc.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"docFrom":"qx.ui.container.Composite","overriddenFrom":"qx.ui.container.Composite","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"layout"}}]}]}]},{type:"properties",children:[{type:"property",attributes:{"name":"appearance","docFrom":"qx.ui.core.Widget","defaultValue":"\"popup\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.core.Widget"}},{type:"property",attributes:{"check":"Boolean","defaultValue":"true","name":"autoHide","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Whether to let the system decide when to hide the popup. Setting\nthis to false gives you better control but it also requires you\nto handle the closing of the popup.</p>"}}]},{type:"property",attributes:{"name":"visibility","docFrom":"qx.ui.core.Widget","defaultValue":"\"excluded\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.core.Widget"}}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.core.Widget#visibility","overriddenFrom":"qx.ui.core.Widget","name":"_applyVisibility"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>visibility</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyVisibility}.</p>"}}]},{type:"method",attributes:{"name":"getAutoHide","fromProperty":"autoHide"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>autoHide</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #autoHide}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>autoHide</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initAutoHide","fromProperty":"autoHide"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>autoHide</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>autoHide</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #autoHide}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"isAutoHide","fromProperty":"autoHide"},children:[{type:"desc",attributes:{"text":"<p>Check whether the (computed) value of the boolean property <code>autoHide</code> equals <code>true</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #autoHide}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the property equals <code>true</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"resetAutoHide","fromProperty":"autoHide"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>autoHide</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #autoHide}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setAutoHide","fromProperty":"autoHide"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>autoHide</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>autoHide</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #autoHide}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"toggleAutoHide","fromProperty":"autoHide"},children:[{type:"desc",attributes:{"text":"<p>Toggles the (computed) value of the boolean property <code>autoHide</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #autoHide}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the new value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]}]}]}