{type:"class",attributes:{"isAbstract":"true","name":"Abstract","packageName":"qx.ui.progressive.model","superClass":"qx.core.Object","childClasses":"qx.ui.progressive.model.Default","fullName":"qx.ui.progressive.model.Abstract","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Data Model for Progressive renderer.  <span class=\"caps\">EXPERIMENTAL</span>!  <span class=\"caps\">INTERFACE</span> <span class=\"caps\">MAY</span> <span class=\"caps\">CHANGE</span>.</p>"}},{type:"events",children:[{type:"event",attributes:{"name":"dataAvailable"},children:[{type:"desc",attributes:{"text":"<p>This event is fired when new data has been added to the data model.  It\ntypically informs Progressive to begin its rendering process.</p>\n\n<p>The event data is an integer: the number of elements now available on\nthe element queue.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"methods",children:[{type:"method",attributes:{"name":"getElementCount"},children:[{type:"desc",attributes:{"text":"<p>Get the number of data elements currently available.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"name":"getNextElement"},children:[{type:"desc",attributes:{"text":"<p>Get the next available element from the data model.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The returned object must provide at least the following members:\n  <dl>\n    <dt>\n      renderer</dt>\n    <dd>\n      The name of a renderer.  That name is used by {@link\n      qx.ui.progressive.Progressive} to select the renderer to be used\n      to render this element.  The name should match one provided to\n      {@link qx.ui.progressive.Progressive#addRenderer}.\n    </dd></p>\n\n<dt>\n      data\n    </dt>\n    <dd>\n      The data to be passed to the renderer.  The data may be of any\n      type that the renderer knows how to render.\n    </dd>\n  </dl>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Object"}}]}]}]}]}]}