{type:"class",attributes:{"name":"Page","packageName":"qx.ui.root","superClass":"qx.ui.root.Abstract","fullName":"qx.ui.root.Page","type":"class"},children:[{type:"desc",attributes:{"text":"<p>This widget provides a root widget for popups and tooltips if qooxdoo is used\ninside a traditional <span class=\"caps\">HTML</span> page. Widgets placed into a page will overlay the\n<span class=\"caps\">HTML</span> content.</p>\n\n<p>For this reason the widget&#8217;s layout is initialized with an instance of\n{@link qx.ui.layout.Basic}. The widget&#8217;s layout cannot be changed.</p>\n\n<p>Note: This widget does not support decorations!</p>\n\n<p>If you want to place widgets inside existing <span class=\"caps\">DOM</span> elements\nuse {@link qx.ui.root.Inline}.</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.ui.root.Abstract","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"doc"},children:[{type:"desc",attributes:{"text":"<p>Document to use</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Document"}}]}]}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"private","name":"__onResize"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>event object</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.Data"}}]}]}]},{type:"desc",attributes:{"text":"<p>Adjust html element size on layout resizes.</p>"}}]},{type:"method",attributes:{"access":"private","name":"__syncBlocker"},children:[{type:"desc",attributes:{"text":"<p>Synchronize the size of the background blocker with the size of the\nbody element</p>"}}]},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.LayoutItem","overriddenFrom":"qx.ui.core.Widget","name":"_computeSizeHint"}},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.Widget","overriddenFrom":"qx.ui.core.Widget","name":"_createContainerElement"}},{type:"method",attributes:{"access":"protected","docFrom":"qx.ui.core.Widget","overriddenFrom":"qx.ui.core.Widget","name":"_createContentElement"}},{type:"method",attributes:{"name":"blockContent"},children:[{type:"params",children:[{type:"param",attributes:{"name":"zIndex"},children:[{type:"desc",attributes:{"text":"<p>All child widgets with a zIndex below this value\n    will be blocked</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"zIndex"}}]}]}]},{type:"desc",attributes:{"text":"<p>Block direct child widgets with a zIndex below <code>zIndex</code></p>"}}]},{type:"method",attributes:{"name":"supportsMaximize"},children:[{type:"desc",attributes:{"text":"<p>Whether the configured layout supports a maximized window\ne.g. is a Canvas.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the layout supports maximized windows</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"name":"unblockContent"},children:[{type:"desc",attributes:{"text":"<p>Remove the content blocker.</p>"}}]}]}]}