{type:"class",attributes:{"name":"FocusIndicator","packageName":"qx.ui.table.pane","superClass":"qx.ui.container.Composite","fullName":"qx.ui.table.pane.FocusIndicator","type":"class"},children:[{type:"desc",attributes:{"text":"<p>The focus indicator widget</p>"}},{type:"constructor",children:[{type:"method",attributes:{"overriddenFrom":"qx.ui.container.Composite","isCtor":"true","name":"ctor"},children:[{type:"params",children:[{type:"param",attributes:{"name":"scroller"},children:[{type:"desc",attributes:{"text":"<p>The scroller, which contains this focus indicator</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Scroller"}}]}]}]}]}]},{type:"methods",children:[{type:"method",attributes:{"access":"protected","name":"_onKeyPress"},children:[{type:"params",children:[{type:"param",attributes:{"name":"e"},children:[{type:"desc",attributes:{"text":"<p>key event</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.event.type.KeySequence"}}]}]}]},{type:"desc",attributes:{"text":"<p>Keypress handler. Suppress all key events but &#8220;Enter&#8221; and &#8220;Escape&#8221;</p>"}}]},{type:"method",attributes:{"name":"getColumn","fromProperty":"column"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>column</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #column}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>column</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"getRow","fromProperty":"row"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>row</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #row}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>row</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initColumn","fromProperty":"column"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>column</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>column</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #column}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initRow","fromProperty":"row"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>row</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>row</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #row}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"moveToCell"},children:[{type:"params",children:[{type:"param",attributes:{"defaultValue":"null","name":"col"},children:[{type:"desc",attributes:{"text":"<p>The table column</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"row"},children:[{type:"desc",attributes:{"text":"<p>The table row</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"desc",attributes:{"text":"<p>Move the focus indicator to the given table cell.</p>"}}]},{type:"method",attributes:{"name":"resetColumn","fromProperty":"column"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>column</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #column}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"resetRow","fromProperty":"row"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>row</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #row}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setColumn","fromProperty":"column"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>column</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>column</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #column}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"setRow","fromProperty":"row"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>row</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>row</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #row}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"check":"Integer","allowNull":"true","name":"column","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Table column, where the indicator is placed.</p>"}}]},{type:"property",attributes:{"check":"Integer","allowNull":"true","name":"row","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>Table row, where the indicator is placed.</p>"}}]},{type:"property",attributes:{"name":"visibility","docFrom":"qx.ui.core.Widget","defaultValue":"\"excluded\"","refine":"true","propertyType":"new","overriddenFrom":"qx.ui.core.Widget"}}]}]}