{type:"class",attributes:{"name":"RadioButton","packageName":"qx.ui.toolbar","superClass":"qx.ui.toolbar.CheckBox","fullName":"qx.ui.toolbar.RadioButton","type":"class","interfaces":"qx.ui.form.IRadioItem"},children:[{type:"desc",attributes:{"text":"<p>Radio buttons are used to manage a single selection. Radio buttons only\nmake sense used in a group of two or more of them. They are managed (connected)\nto a {qx.ui.form.RadioGroup} to handle the selection.</p>"}},{type:"methods",children:[{type:"method",attributes:{"access":"protected","apply":"qx.ui.form.ToggleButton#checked","overriddenFrom":"qx.ui.form.ToggleButton","name":"_applyChecked"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>checked</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyChecked}.</p>"}}]},{type:"method",attributes:{"access":"protected","apply":"qx.ui.toolbar.RadioButton#group","name":"_applyGroup"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>new value of the property</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.form.RadioGroup"}}]}]},{type:"param",attributes:{"name":"old"},children:[{type:"desc",attributes:{"text":"<p>previous value of the property (null if it was not yet set).</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"qx.ui.form.RadioGroup"}}]}]}]},{type:"desc",attributes:{"text":"<p>Applies changes of the property value of the property <code>group</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #_applyGroup}.</p>"}}]},{type:"method",attributes:{"name":"getGroup","fromProperty":"group"},children:[{type:"desc",attributes:{"text":"<p>Returns the (computed) value of the property <code>group</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #group}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>(Computed) value of <code>group</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"access":"protected","name":"initGroup","fromProperty":"group"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>Initial value for property <code>group</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Calls the apply method and dispatches the change event of the property <code>group</code>\nwith the default value defined by the class developer. This function can\nonly be called from the constructor of a class.</p>\n\n<p>For further details take a look at the property definition: {@link #group}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>the default value</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"method",attributes:{"name":"resetGroup","fromProperty":"group"},children:[{type:"desc",attributes:{"text":"<p>Resets the user value of the property <code>group</code>.</p>\n\n<p>The computed value falls back to the next available value e.g. appearance, init or\ninheritance value depeneding on the property configuration and value availability.</p>\n\n<p>For further details take a look at the property definition: {@link #group}.</p>"}},{type:"return",children:[{type:"types",children:[{type:"entry",attributes:{"type":"void"}}]}]}]},{type:"method",attributes:{"name":"setGroup","fromProperty":"group"},children:[{type:"params",children:[{type:"param",attributes:{"name":"value"},children:[{type:"desc",attributes:{"text":"<p>New value for property <code>group</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]},{type:"desc",attributes:{"text":"<p>Sets the user value of the property <code>group</code>.</p>\n\n<p>For further details take a look at the property definition: {@link #group}.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The unmodified incoming value.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"var"}}]}]}]}]},{type:"properties",children:[{type:"property",attributes:{"allowNull":"true","apply":"_applyGroup","check":"qx.ui.form.RadioGroup","name":"group","propertyType":"new"},children:[{type:"desc",attributes:{"text":"<p>The assigned {@link qx.ui.form.RadioGroup} which handles the switching between registered buttons</p>"}}]}]}]}