{type:"class",attributes:{"isStatic":"true","name":"PlaceUtil","packageName":"qx.util","fullName":"qx.util.PlaceUtil","type":"class"},children:[{type:"desc",attributes:{"text":"<p>Contains methods to compute a position for any object which should\nbe positioned to any other object.</p>"}},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"compute"},children:[{type:"params",children:[{type:"param",attributes:{"name":"size"},children:[{type:"desc",attributes:{"text":"<p>With the keys <code>width</code> and <code>height</code>\n  of the object to align</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]},{type:"param",attributes:{"name":"area"},children:[{type:"desc",attributes:{"text":"<p>Available area to position the object. Has the keys\n  <code>width</code> and <code>height</code>. Normally this is the parent\n  object of the one to align.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]},{type:"param",attributes:{"name":"target"},children:[{type:"desc",attributes:{"text":"<p>Location of the object to align the object to. This map\n  should have the keys <code>left</code>, <code>top</code>, <code>right</code>\n  and <code>bottom</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]},{type:"param",attributes:{"name":"position"},children:[{type:"desc",attributes:{"text":"<p>Alignment of the object on the target, any of\n  &#8220;top-left&#8221;, &#8220;top-right&#8221;, &#8220;bottom-left&#8221;, &#8220;bottom-right&#8221;, &#8220;left-top&#8221;,\n  &#8220;left-bottom&#8221;, &#8220;right-top&#8221;, &#8220;right-bottom&#8221;.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]},{type:"param",attributes:{"defaultValue":"true","name":"smart"},children:[{type:"desc",attributes:{"text":"<p>Whether the position should be automatically\n  corrected when not enough room is available in the given area.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]},{type:"param",attributes:{"defaultValue":"null","name":"offsets"},children:[{type:"desc",attributes:{"text":"<p>Map with all offsets for each direction.\n  Comes with the keys <code>left</code>, <code>top</code>,\n  <code>right</code> and <code>bottom</code>. Defaults to zero.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]}]},{type:"desc",attributes:{"text":"<p><span class=\"caps\">DOM</span> and widget independent method to compute the location\nof a object to make it relative to any other object.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>A map with the final location stored in the keys\n  <code>left</code> and <code>top</code>.</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Map"}}]}]}]}]}]}