{type:"class",attributes:{"isStatic":"true","name":"ResourceManager","packageName":"qx.util","fullName":"qx.util.ResourceManager","type":"bootstrap"},children:[{type:"desc",attributes:{"text":"<p>Contains information about images (size, format, clipping, ...) and\nother resources like <span class=\"caps\">CSS</span> files, local data, ...</p>"}},{type:"methods-static",children:[{type:"method",attributes:{"isStatic":"true","name":"getData"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>The resource to get the information for</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Get information about an resource.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Registered data or <code>null</code></p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Array"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"getImageFormat"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>Resource identifier</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Returns the format of the given resource ID,\nwhen it is not a known image <code>null</code>\nis returned.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>File format of the image</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"getImageHeight"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>Resource identifier</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Returns the height of the given resource ID,\nwhen it is not a known image <code>0</code> is\nreturned.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The image height, maybe <code>null</code> when the height is unknown</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"getImageWidth"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>Resource identifier</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Returns the width of the given resource ID,\nwhen it is not a known image <code>0</code> is\nreturned.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>The image width, maybe <code>null</code> when the width is unknown</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Integer"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"has"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>The resource to get the information for</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Whether the registry has informations about the given resource.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<code>true</code> when the resource is known."}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"isClippedImage"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>Resource identifier</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Whether the given resource identifier is a image\nwith clipping information available.</p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Whether the resource ID is known as a clipped image</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"Boolean"}}]}]}]},{type:"method",attributes:{"isStatic":"true","name":"toUri"},children:[{type:"params",children:[{type:"param",attributes:{"name":"id"},children:[{type:"desc",attributes:{"text":"<p>Resource ID</p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]},{type:"desc",attributes:{"text":"<p>Converts the given resource ID to a full qualified <span class=\"caps\">URI</span></p>"}},{type:"return",children:[{type:"desc",attributes:{"text":"<p>Resulting <span class=\"caps\">URI</span></p>"}},{type:"types",children:[{type:"entry",attributes:{"type":"String"}}]}]}]}]}]}